package tech.powerjob.work.scheduleWork;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import tech.powerjob.work.service.PortDrawFlashService;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

@Component
public class PortDrawFlashSchedule implements BasicProcessor {

    @Autowired
    private PortDrawFlashService portDrawFlashService;

    @Override
    public ProcessResult process(TaskContext taskContext) throws Exception {
        return portDrawFlashService.flashData();
    }
}
